# MySQL dump 8.13
#
# Host: localhost    Database: hte
#--------------------------------------------------------
# Server version	3.23.36-log

#
# Table structure for table 'editperms'
#

CREATE TABLE editperms (
  tablename varchar(15) NOT NULL default '',
  readonly varchar(255) NOT NULL default ''
) TYPE=MyISAM COMMENT='Table to control the read only status of fields for the HTE';

#
# Dumping data for table 'editperms'
#

INSERT INTO editperms VALUES ('host','ip_address,creator,creation_date');
INSERT INTO editperms VALUES ('network','network_address,creator,create_date,bits');
INSERT INTO editperms VALUES ('zone','dns_id,domain_name');

#
# Table structure for table 'glue'
#

CREATE TABLE glue (
  tablename varchar(20) NOT NULL default '',
  fieldname varchar(25) NOT NULL default '',
  ftable varchar(20) NOT NULL default '',
  fkey varchar(25) NOT NULL default '',
  fvalue varchar(25) NOT NULL default '',
  PRIMARY KEY  (tablename,fieldname)
) TYPE=MyISAM COMMENT='This is the foreign key field map.';

#
# Dumping data for table 'glue'
#

INSERT INTO glue VALUES ('host','status_id','host_status','status_id','description');
INSERT INTO glue VALUES ('network','dns_id','zone','dns_id','domain_name');
INSERT INTO glue VALUES ('zone_entries','type','zone_entry_types','type_id','type_name');
INSERT INTO glue VALUES ('zone_entries','dns_id','zone','dns_id','domain_name');

#
# Table structure for table 'host'
#

CREATE TABLE host (
  ip_address decimal(12,0) NOT NULL default '0',
  host_name varchar(20) NOT NULL default '',
  aliases varchar(50) NOT NULL default '',
  device_id varchar(50) NOT NULL default '',
  status_id char(1) NOT NULL default '2',
  description varchar(100) NOT NULL default '',
  last_seen varchar(50) NOT NULL default '',
  creator varchar(50) NOT NULL default '',
  create_date timestamp(14) NOT NULL,
  PRIMARY KEY  (ip_address)
) TYPE=MyISAM COMMENT='the host table information';

#
# Table structure for table 'host_status'
#

CREATE TABLE host_status (
  status_id char(1) NOT NULL default '',
  description varchar(50) NOT NULL default '',
  PRIMARY KEY  (status_id)
) TYPE=MyISAM COMMENT='the status id''s for the host table';

#
# Dumping data for table 'host_status'
#

INSERT INTO host_status VALUES ('1','available');
INSERT INTO host_status VALUES ('2','assigned');
INSERT INTO host_status VALUES ('3','dhcp_assigned');
INSERT INTO host_status VALUES ('4','unauthorized');
INSERT INTO host_status VALUES ('5','reserved');

#
# Table structure for table 'htevars'
#

CREATE TABLE htevars (
  varname varchar(12) NOT NULL default '',
  varvalue varchar(20) NOT NULL default '',
  username varchar(100) NOT NULL default '',
  level varchar(15) NOT NULL default '',
  PRIMARY KEY  (varname,username)
) TYPE=MyISAM COMMENT='Variables for HTE users.';

#
# Table structure for table 'network'
#

CREATE TABLE network (
  network_address decimal(12,0) unsigned NOT NULL default '0',
  bits int(2) unsigned NOT NULL default '0',
  dns_id varchar(100) NOT NULL default '',
  location varchar(100) NOT NULL default '',
  description varchar(100) NOT NULL default '',
  creator varchar(50) NOT NULL default '',
  create_date timestamp(14) NOT NULL
) TYPE=MyISAM COMMENT='the subnet infromation by network address';

#
# Table structure for table 'zone'
#

CREATE TABLE zone (
  dns_id int(6) NOT NULL auto_increment,
  domain_name varchar(50) NOT NULL default '',
  SOA varchar(50) NOT NULL default '',
  nameserver varchar(50) NOT NULL default '',
  serial decimal(12,0) NOT NULL default '1',
  refresh int(8) NOT NULL default '28800',
  retry int(6) NOT NULL default '7200',
  expire int(8) NOT NULL default '604800',
  ttl int(6) NOT NULL default '86400',
  PRIMARY KEY  (dns_id),
  UNIQUE KEY DomainName (domain_name)
) TYPE=MyISAM COMMENT='DNS Zone configuration table.  Used as a lookup for the Netw';

#
# Table structure for table 'zone_entries'
#

CREATE TABLE zone_entries (
  dns_id int(6) NOT NULL default '0',
  address varchar(50) NOT NULL default '',
  record varchar(5) NOT NULL default 'IN',
  type int(4) NOT NULL default '0',
  priority int(4) NOT NULL default '0',
  target varchar(50) NOT NULL default '',
  entry_id int(6) NOT NULL default '0',
  PRIMARY KEY  (entry_id)
) TYPE=MyISAM COMMENT='Manually created zone entries such as MX records.';

#
# Table structure for table 'zone_entry_types'
#

CREATE TABLE zone_entry_types (
  type_id int(4) NOT NULL auto_increment,
  type_name varchar(15) NOT NULL default '',
  PRIMARY KEY  (type_id)
) TYPE=MyISAM COMMENT='This is a lookup table for the zone entry type field';

#
# Dumping data for table 'zone_entry_types'
#

INSERT INTO zone_entry_types VALUES (1,'CNAME');
INSERT INTO zone_entry_types VALUES (2,'PTR');
INSERT INTO zone_entry_types VALUES (3,'MX');
INSERT INTO zone_entry_types VALUES (4,'NS');

